#include "identity.h"

class IdentityItemVOMS: public Identity::Item {
  string vo_;
  string voms_;
  string group_;
  string role_;
  string cap_;
  static string vo_name_;
  static string voms_name_;
  static string group_name_;
  static string role_name_;
  static string cap_name_;
 public:
  IdentityItemVOMS(const char* vo,const char* voms,const char* group,const char* role,const char* cap);
  IdentityItemVOMS(const IdentityItemVOMS& v);
  virtual ~IdentityItemVOMS(void);
  virtual Identity::Item* duplicate(void) const;
  virtual const string& name(unsigned int n);
  virtual const string& value(unsigned int n);
  virtual const string& value(const char* name,unsigned int n);
};
