#ifndef __HTTPSD_SRM_URL_H__
#define __HTTPSD_SRM_URL_H__

#include "../../misc/url_options.h"

class SRM_URL:public URL {
 private:
  string filename;
 public:
  SRM_URL(const char*);
  ~SRM_URL(void) { };
  const string& Endpoint(void) const { return Path(); };
  const string& FileName(void) const { if(!valid) return empty; return filename; };
  string ContactURL(void) const ;
  string BaseURL(void) const;
  string ShortURL(void) const;
};

#endif // __HTTPSD_SRM_URL_H__
